.pic-text-slider-section .wrapper {
  width: 100%;
  position: relative;
  overflow: hidden;
  border-radius: var(--section-card-radius);
}

.pic-text-slider-section .images {
  width: 100%;
  display: flex;
}

.pic-text-slider-section .image {
  position: relative;
  width: 100%;
}
.pic-text-slider-section .image img {
  width: 100%;
  object-fit: cover;
}
.pic-text-slider-section .tip-text {
  position: absolute;
  bottom: 20px;
  padding: 10px 20px;
  border-radius: 8px;
  color: var(--neutral-black);
  background-color: #fff;
}
.pic-text-slider-section .image-1 .tip-text {
  left: 20px;
}
.pic-text-slider-section .image-2 .tip-text {
  right: 20px;
}

.pic-text-slider-section .image-2 {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  clip-path: inset(0px 0px 0px 50%);
}

.pic-text-slider-section .slider {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: 9;
}

.pic-text-slider-section .slider input {
  width: 100%;
  height: 100%;
  outline: none;
  -webkit-appearance: none;
  background: none;
}

.pic-text-slider-section .slider input::-webkit-slider-thumb {
  -webkit-appearance: none;
  height: 100%;
  width: 3px;
  background: none;
  cursor: col-resize;
}

.pic-text-slider-section .drag-line {
  width: 3px;
  height: 100%;
  position: absolute;
  left: 49.85%;
  background: none;
  pointer-events: none;
}

.pic-text-slider-section .drag-line:before,
.pic-text-slider-section .drag-line:after {
  position: absolute;
  content: "";
  width: 3px;
  height: 100%;
  background: #fff;
}

.pic-text-slider-section .drag-line:after {
  bottom: 0;
}

.pic-text-slider-section .drag-line:before {
  top: 0;
}

.pic-text-slider-section .drag-line span {
  position: absolute;
  top: 50%;
  left: 50%;
  z-index: 1;
  transform: translate(-50%, -50%);
  display: flex;
  align-items: center;
  justify-content: center;
  width: 36.8px;
  aspect-ratio: 4 / 5;
  border-radius: 50%;
  background: #fff;
}

.pic-text-slider-section .drag-line span svg {
  width: 46%;
}

@media screen and (max-width: 1024px) {
  .pic-text-slider-section .drag-line span {
    width: 35px;
  }
  .pic-text-slider-section .tip-text {
    padding: 8px 16px;
    bottom: 16px;
  } 
  .pic-text-slider-section .image-1 .tip-text {
    left: 16px;
  }
  .pic-text-slider-section .image-2 .tip-text {
    right: 16px;
  }
}

@media screen and (max-width: 767px) {
  .pic-text-slider-section .drag-line span {
    width: 32px;
  }
  .pic-text-slider-section .tip-text {
    padding: 5px 10px;
    bottom: 10px;
  } 
  .pic-text-slider-section .image-1 .tip-text {
    left: 10px;
  }
  .pic-text-slider-section .image-2 .tip-text {
    right: 10px;
  }
}